WLSBuild Untuk GNOME 3.18

Submitted by w41lf0x on Sat, 07/30/2016 - 21:49

gnome-logo-hitamSetelah menunggu lama, akhirnya wlsbuild untuk GNOME3 bisa saya perbarui ke versi 3.18. Hal ini dimungkinkan karena Slackware 14.2 sudah mengikutsertakan gtk+3 versi 3.18.9 dalam instalasi standarnya. Beberapa dependensi dari GNOME 3.18 juga telah menjadi bagian internal dari Slackware 14.2. Artinya jika anda ingin menggunakan wlsbuild gnome3 3.18 milik saya, sila gunakan instalasi standar dari Slackware 14.2.

Perubahan di dalam daftar SBo juga semakin memudahkan instalasi GNOME 3.18. Banyak paket yang sebelumnya adalah dependensi internal dari saya sekarang sudah tersedia di SBo. Tambahan paket SBo yang merupakan dependensi GNOME 3.18 dapat dilihat dalam daftar berikut ini:

python3
py3cairo
krb5
cracklib
libpwquality
avahi
gssdp
gupnp
rarian
exempi
liboauth
perl-xml-twig
perl-net-dbus
libunique3
libgtop
vala
vte3
colord
colord-gtk
glade
gtksourceview3
libburn
libisofs
libisoburn
libgksu
gksu
gob2
libchewing
gnome-commmon
libgee1
json-glib
libskk
ibus-skk
libsunpinyin
ibus-sunpinyin
ibus-unikey
libnice
farstream
telepathy-glib
telepathy-farstream
cantarell-fonts
rest
webkit2gtk
yelp-xsl
yelp-tools
yelp
evince
seahorse

Untuk bagian dependensi internal saya menambahkan wayland, elogind dan ibus beserta subpaketnya (yang sebelumnya ada di SBo). Sementara ini wayland masih hanya sebatas dependensi untuk paket gdm. Artinya saya belum membangun ulang paket xorg-server milik Slackware dengan dukungan wayland. Jadi jika anda mencoba menjalankan gdm layar anda pasti akan berkedip karena gdm secara default akan mencoba menjalankan wayland sebagai display server, bukan xorg. Hal ini dapat menyebabkan input user terkunci. Jadi bersabar dulu ya.

Berikut ini adalah cetakan layar dari GNOME 3.18 milik saya:
Screenshot from 2016-07-30 21-45-18

Tertarik untuk mencoba? Sila kloning wlsbuild untuk GNOME 3.18 di github saya: https://github.com/w41l/gnome